%define upstream_name	 Event
%define upstream_version 1.28

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(attrs\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Event/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test) >= 1.0.0
BuildRequires: perl-devel
%description
Fast, generic event loop

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%{__make} test

%install
%make_install

%files
%doc ANNOUNCE Changes INSTALL META.json META.yml MYMETA.yml README TODO demo
%{perl_vendorarch}/Event*
%{perl_vendorarch}/auto/Event
%{_mandir}/*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.280.0-8.mga10
+ Revision: 2225935
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.280.0-7.mga10
+ Revision: 2088044
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 1.280.0-6.mga10
+ Revision: 2011541
- Rebuild for perl-5.38

* Tue Nov 28 2023 tv <tv> 1.280.0-5.mga10
+ Revision: 2010574
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.280.0-4.mga9
+ Revision: 1861894
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.280.0-3.mga9
+ Revision: 1795732
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.280.0-2.mga9
+ Revision: 1726574
- Rebuild for perl 5.34

* Tue May 04 2021 tv <tv> 1.280.0-1.mga9
+ Revision: 1721200
- update to 1.28

* Wed Jun 17 2020 umeabot <umeabot> 1.270.0-4.mga8
+ Revision: 1594778
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.270.0-3.mga8
+ Revision: 1529016
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.270.0-2.mga8
+ Revision: 1432900
- rebuild with perl-5.30

* Sun Nov 18 2018 tv <tv> 1.270.0-1.mga7
+ Revision: 1330561
- update to 1.27

* Fri Sep 21 2018 umeabot <umeabot> 1.260.0-5.mga7
+ Revision: 1292837
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.260.0-4.mga7
+ Revision: 1249123
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.260.0-3.mga7
+ Revision: 1164301
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.260.0-2.mga7
+ Revision: 1148880
- Rebuild for perl ABI changes

* Fri Jul 28 2017 sander85 <sander85> 1.260.0-1.mga7
+ Revision: 1132142
- update to 1.26

* Sat Jul 22 2017 neoclust <neoclust> 1.240.0-5.mga7
+ Revision: 1127048
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.240.0-4.mga6
+ Revision: 1026956
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.240.0-3.mga6
+ Revision: 957270
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.240.0-2.mga6
+ Revision: 844866
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 1.240.0-1.mga6
+ Revision: 842068
- New version 1.24 + Rebuild for the new perl-5.22.0

* Sat Oct 18 2014 shlomif <shlomif> 1.230.0-6.mga5
+ Revision: 783747
- Add __requires_exclude

* Wed Oct 15 2014 umeabot <umeabot> 1.230.0-5.mga5
+ Revision: 749509
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Sep 23 2014 tv <tv> 1.230.0-4.mga5
+ Revision: 722223
- rebuild with new perl (fix excludes)

* Tue Sep 23 2014 tv <tv> 1.230.0-3.mga5
+ Revision: 721085
- workaround missing %%perl_default_filter when creating SRPM
- use new %%perl_default_filter in order to fix requires

* Tue Sep 16 2014 umeabot <umeabot> 1.230.0-2.mga5
+ Revision: 684653
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 sander85 <sander85> 1.230.0-1.mga5
+ Revision: 650898
- update to 1.23

* Tue Jul 01 2014 sander85 <sander85> 1.220.0-1.mga5
+ Revision: 641838
- update to 1.22

* Tue Jun 03 2014 pterjan <pterjan> 1.210.0-6.mga5
+ Revision: 631155
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.210.0-5.mga4
+ Revision: 524299
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.210.0-4.mga4
+ Revision: 430691
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.210.0-3.mga4
+ Revision: 430049
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 366933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.210.0-1.mga3
+ Revision: 342151
- update to 1.21

* Fri Aug 24 2012 pterjan <pterjan> 1.200.0-3.mga3
+ Revision: 283450
- Rebuild for new perl

* Wed May 30 2012 jquelin <jquelin> 1.200.0-2.mga3
+ Revision: 250608
- rebuild for perl 5.16
- update to 1.19
+ kharec <kharec>
- update to 1.20

* Mon Jun 27 2011 jquelin <jquelin> 1.180.0-1.mga2
+ Revision: 114623
- update to 1.18

* Wed Jun 15 2011 jquelin <jquelin> 1.170.0-1.mga2
+ Revision: 106939
- update to 1.17

* Sat Jun 11 2011 sander85 <sander85> 1.130.0-3.mga2
+ Revision: 103514
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.130.0-2.mga1
+ Revision: 30185
- mageia rebuild
- imported package perl-Event


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.130.0-2mdv2011.0
+ Revision: 555255
- rebuild

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.130.0-1mdv2010.1
+ Revision: 461740
- update to 1.13

* Thu Aug 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-1mdv2010.0
+ Revision: 421624
- update to 1.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-1mdv2010.0
+ Revision: 403160
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.11-2mdv2009.0
+ Revision: 268471
- rebuild early 2009.0 package (before pixel changes)

* Tue May 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2009.0
+ Revision: 209325
- update to new version 1.11

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-1mdv2008.1
+ Revision: 156177
- update to new version 1.10
- update to new version 1.10

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.09-2mdv2008.1
+ Revision: 152070
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-1mdv2008.0
+ Revision: 46524
- update to new version 1.09


* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2007.0
+ Revision: 84656
- new version
- Import perl-Event

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-3mdv2007.0
- Rebuild

* Sat May 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-2mdk
- better source URL
- test in %%check

* Thu May 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.06-1mdk
- 1.06
- Add ChangeLog in docs

* Fri Apr 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdk 
- new release
- spec cleanup
- better url
- no more explicit perl requires
- rpmbuilupdate aware

* Thu Mar 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.04-1mdk
- 1.04

* Fri Feb 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-1mdk
- 1.03
- make tests

* Mon Nov 15 2004 Götz Waschk <waschk@linux-mandrake.com> 1.00-2mdk
- rebuild for new perl

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-1mdk
- 1.00
- use %%makeinstall_std macro

* Tue Apr 27 2004 Stefan van der Eijk <stefan@mandrake.org> 0.88-1mdk
- 0.88

